﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;
using HeuristicLab.Encodings.PermutationEncoding;

namespace HeuristicLab.Services.Optimization.ControllerService.Parameters.HL {
  public class PermutationTypeHandler : IParameterHandler<IItem> {
    public Type HandledType {
      get { return typeof(PermutationType); }
    }

    public Model.Parameter Map(IItem item) {
      var permType = item as PermutationType;
      return  new Model.Parameter() {
        Value = new Model.StringValue() { Value = permType.Value.ToString() }
      };
    }
  }
}
